javax.visrec.spi

## Interface ClassifierService

    public interface ClassifierService

Service to provide the correct `Classifier` implementation.

Since:
  1.0
Author:
  Kevin Berendsen

### Method Summary

All Methods Instance Methods Abstract Methods
`<T,R> Classifier<T,R>` `getBySource(Class<T> sourceType, Class<R> resultMapType)` Get the `Classifier` which is able to classify images by the `sourceType` object.

### Method Detail

#### getBySource

    <T,R> Classifier<T,R> getBySource(Class<T> sourceType,
                                      Class<R> resultMapType)

Get the `Classifier` which is able to classify images by the `sourceType` object.

Type Parameters:
  `T` - the class which is able to be handled by the `Classifier` and given as `Class` object.
  `R` - type of classification result map eg. String is commonly used , but Enum as well
Parameters:
  `sourceType` - `Class` object of the source type.
  `resultMapType` - `Class` object of the result map.
Returns:
  `Classifier` which is able to classify images of `T`